import {HttpMethod, Route, StatusCodes} from 'org.crazydoctor.expressts';
import {Request, Response} from 'express';
import ServerApp from '..';

class GetFaq extends Route {
	protected action = (req: Request, res: Response): any => {
		if(ServerApp.SourcesUpdating) {
			res.status(StatusCodes.ACCEPTED).render('sources-update');
			return;
		}

		res.status(StatusCodes.OK).render('faq', { template: 'faq', title: 'Doczilla JS Docs - FAQ' });
	};

	protected method = HttpMethod.GET;
	protected order = 6;
	protected route = '/faq';
}

export default GetFaq;