import {HttpMethod, Route, StatusCodes} from 'org.crazydoctor.expressts';
import {Request, Response} from 'express';
import ServerApp from '..';
import { ISession } from '../session/ISession';
import { Sources } from '../sources/Sources';

class GetStatisticsUser extends Route {
	protected action = (req: Request, res: Response): any => {
		const session = req.session as ISession;
		
		if(!session.isEditor) {
			session.returnTo = `/statistics/${req.params.user}`;
			res.redirect('/login');
			return;
		}

		if(ServerApp.SourcesUpdating) {
			res.status(StatusCodes.ACCEPTED).send('Sources are being updated');
			return;
		}

		res.status(StatusCodes.OK).render('statistics', { isAdmin: session.isAdmin || false, isEditor: session.isEditor || false, Login: session.login || null, template: 'statistics', StatisticsUser: req.params.user, title: `Doczilla JS Docs - Statistics (${req.params.user})`, ClassList: Sources.get(), RepoNames: Sources.getRepoNames() });
	};

	protected method = HttpMethod.GET;
	protected order = 12;
	protected route = '/statistics/:user';
}

export default GetStatisticsUser;